package Bencher::ScenarioR::GetoptModules;

our $VERSION = 0.05; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 0.0084,
        mod_overhead_time => 295.6,
        participant => "Getopt::Alt",
        proc_private_dirty_size => 5,
        proc_rss_size => 9,
        proc_size => 30,
        samples => 21,
        time => 300,
        vs_slowest => 1,
      },
      {
        errors => 0.00035,
        mod_overhead_time => 205.6,
        participant => "MooseX::Getopt",
        proc_private_dirty_size => 2.4,
        proc_rss_size => 5.7,
        proc_size => 20,
        samples => 20,
        time => 210,
        vs_slowest => 1.4,
      },
      {
        errors => 0.00044,
        mod_overhead_time => 44.6,
        participant => "Getopt::ArgParse",
        proc_private_dirty_size => 0.82,
        proc_rss_size => 4.1,
        proc_size => 16,
        samples => 20,
        time => 49,
        vs_slowest => 5.9,
      },
      {
        errors => 0.00028,
        mod_overhead_time => 30.6,
        participant => "Smart::Options",
        proc_private_dirty_size => 6,
        proc_rss_size => 9.7,
        proc_size => 32,
        samples => 20,
        time => 35,
        vs_slowest => 8.2,
      },
      {
        errors => 7.9e-05,
        mod_overhead_time => 29.6,
        participant => "Getopt::Long::Descriptive",
        proc_private_dirty_size => 1.1,
        proc_rss_size => 4.4,
        proc_size => 16,
        samples => 20,
        time => 34,
        vs_slowest => 8.4,
      },
      {
        errors => 0.00014,
        mod_overhead_time => 22.6,
        participant => "Getopt::Lucid",
        proc_private_dirty_size => 0.97,
        proc_rss_size => 4.4,
        proc_size => 16,
        samples => 20,
        time => 27,
        vs_slowest => 11,
      },
      {
        errors => 0.00015,
        mod_overhead_time => 18.6,
        participant => "Getopt::Compact",
        proc_private_dirty_size => 18,
        proc_rss_size => 22,
        proc_size => 58,
        samples => 20,
        time => 23,
        vs_slowest => 13,
      },
      {
        errors => 5.2e-05,
        mod_overhead_time => 16.6,
        participant => "Getopt::ArgvFile",
        proc_private_dirty_size => 3.5,
        proc_rss_size => 7,
        proc_size => 27,
        samples => 20,
        time => 21,
        vs_slowest => 14,
      },
      {
        errors => 7.8e-05,
        mod_overhead_time => 12.6,
        participant => "Getopt::Long",
        proc_private_dirty_size => 1.1,
        proc_rss_size => 4.4,
        proc_size => 18,
        samples => 20,
        time => 17,
        vs_slowest => 17,
      },
      {
        errors => 0.0005,
        mod_overhead_time => 5.6,
        participant => "Getopt::Std::Strict",
        proc_private_dirty_size => 20,
        proc_rss_size => 30,
        proc_size => 70,
        samples => 20,
        time => 10,
        vs_slowest => 20,
      },
      {
        errors => 4.2e-05,
        mod_overhead_time => 3.9,
        participant => "Getopt::Long::Subcommand",
        proc_private_dirty_size => 1.1,
        proc_rss_size => 4.5,
        proc_size => 16,
        samples => 20,
        time => 8.3,
        vs_slowest => 35,
      },
      {
        errors => 3.5e-05,
        mod_overhead_time => 3.3,
        participant => "Getopt::Long::Complete",
        proc_private_dirty_size => 4.2,
        proc_rss_size => 7.7,
        proc_size => 25,
        samples => 21,
        time => 7.7,
        vs_slowest => 38,
      },
      {
        errors => 4.5e-05,
        mod_overhead_time => 2.9,
        participant => "Getopt::Long::More",
        proc_private_dirty_size => 2.8,
        proc_rss_size => 6.3,
        proc_size => 20,
        samples => 21,
        time => 7.3,
        vs_slowest => 40,
      },
      {
        errors => 4.5e-05,
        mod_overhead_time => 2.8,
        participant => "Getopt::Long::Less",
        proc_private_dirty_size => 0.94,
        proc_rss_size => 4.2,
        proc_size => 16,
        samples => 20,
        time => 7.2,
        vs_slowest => 40,
      },
      {
        errors => 2.7e-05,
        mod_overhead_time => 1.7,
        participant => "Getopt::Panjang",
        proc_private_dirty_size => 0.99,
        proc_rss_size => 4.3,
        proc_size => 16,
        samples => 20,
        time => 6.1,
        vs_slowest => 47,
      },
      {
        errors => 1.3e-05,
        mod_overhead_time => 1.6,
        participant => "Getopt::Std",
        proc_private_dirty_size => 2,
        proc_rss_size => 5.4,
        proc_size => 17,
        samples => 21,
        time => 6,
        vs_slowest => 48,
      },
      {
        errors => 1.3e-05,
        mod_overhead_time => 1,
        participant => "Getopt::Long::EvenLess",
        proc_private_dirty_size => 0.97,
        proc_rss_size => 4.3,
        proc_size => 16,
        samples => 20,
        time => 5.4,
        vs_slowest => 53,
      },
      {
        errors => 1.4e-05,
        mod_overhead_time => 0,
        participant => "perl -e1 (baseline)",
        proc_private_dirty_size => 1,
        proc_rss_size => 4.3,
        proc_size => 16,
        samples => 20,
        time => 4.4,
        vs_slowest => 66,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "GetoptModules",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2843.093,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2829.367,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2831.828,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2614.664,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 20.5886609554291,
      "func.module_startup"            => 1,
      "func.module_versions"           => {
                                            "__PACKAGE__"                      => 1.034,
                                            "Bencher::Scenario::GetoptModules" => undef,
                                            "Benchmark::Dumb"                  => "0.10",
                                            "Devel::Platform::Info"            => 0.16,
                                            "Getopt::Alt"                      => bless({ original => "0.4.2", qv => 1, version => [0, 4, 2] }, "version"),
                                            "Getopt::ArgParse"                 => "1.0.6",
                                            "Getopt::ArgvFile"                 => 1.11,
                                            "Getopt::Compact"                  => 0.04,
                                            "Getopt::Long"                     => 2.48,
                                            "Getopt::Long::Complete"           => "0.30",
                                            "Getopt::Long::Descriptive"        => "0.100",
                                            "Getopt::Long::EvenLess"           => "0.10",
                                            "Getopt::Long::Less"               => 0.08,
                                            "Getopt::Long::More"               => 0.004,
                                            "Getopt::Long::Subcommand"         => 0.09,
                                            "Getopt::Lucid"                    => 1.07,
                                            "Getopt::Panjang"                  => 0.04,
                                            "Getopt::Std"                      => 1.11,
                                            "Getopt::Std::Strict"              => 1.01,
                                            "MooseX::Getopt"                   => 0.71,
                                            "perl"                             => "v5.24.0",
                                            "Smart::Options"                   => 0.056,
                                            "Sys::Info"                        => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 17]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::GetoptModules",
      "func.scenario_module_md5sum"    => "04652d1f3ae0c5dd1f0a10f2a1733939",
      "func.scenario_module_mtime"     => 1485322546,
      "func.scenario_module_sha1sum"   => "7928ee1c51012428fa4049c22a21bb8100162893",
      "func.scenario_module_sha256sum" => "01058de771174aa75fd494698de44251b4ae4d6c624ecb51c2b3981974b39449",
      "func.time_end"                  => 1485322595.5392,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1485322574.95053,
      "table.field_aligns"             => [
                                            "left",
                                            "left",
                                            "left",
                                            "left",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                            "number",
                                          ],
      "table.field_units"              => [undef, "MB", "MB", "MB", "ms", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "proc_private_dirty_size",
                                            "proc_rss_size",
                                            "proc_size",
                                            "time",
                                            "mod_overhead_time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark some popular Perl Getopt modules

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

